SREPORT(1)

NAME
sreport - Used to generate reports from the slurm accounting data.

SYNOPSIS
ssreport [OPTIONS...] [COMMAND...]

DESCRIPTION
ssreport is used to generator certain reports. Right now sreport is a template that does not really do anything. In the future it will provide a view into accounting data gathered from slurm via the account information maintained within a database with the interface being provided by slurmdbd (Slurm Database daemon).

OPTIONS

-h, --help
    Print a help message describing the usage of ssreport. This is equivalent to the help command.

-o, --oneliner
    Print information one line per record. This is equivalent to the oneliner command.

-q, --quiet
    Print no warning or informational messages, only error messages. This is equivalent to the quiet command.

-v, --verbose
    Print detailed event logging. This is equivalent to the verbose command.

-V , --version
    Print version information and exit. This is equivalent to the version command.

COMMANDS

exit
    Terminate the execution of sreport. Identical to the quit command.

help
    Display a description of sreport options and commands.

hide
    Do not display information about hidden or deleted entities.

oneliner
    Print information one line per record.

quiet
    Print no warning or informational messages, only fatal error messages.

quit
    Terminate the execution of sreport. Identical to the exit command.

verbose
    Print detailed event logging. This includes time-stamps on data structures, record counts, etc. This is an independent command with no options meant for use in interactive mode.

version
    Display the version number of sreport being executed.

!!  Repeat the last command executed.

EXAMPLES

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). LLNL-CODE-402394.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5) slurmdbd(8)